# Liminal / Threshold
## Explore the many doors
# **CURRENTLY BROKEN** and installation instructions are literally half-written
[Installation](#Installation:)
This is a start page I created for myself and finally got around to making somewhat editable and accessible for other people.
This is designed for Firefox, but if you're brave I'm sure one can make it work anywhere.

# Installation:
There are small differences between Windows and Linux, they will be annotated where applicable.

1. Find your Firefox installation folder. This folder should contain a `defaults` folder, which we will get to in a moment.
   |Linux|Windows|
   |---|---|
   |`/usr/lib64/firefox/`|`C:\Program Files\Mozilla Firefox`|

2. In the Firefox installation folder, create a file named: `autoconfig.cfg`. Within this file insert:
**Replace the newTabURL with your own**
```
var {classes:Cc,interfaces:Ci,utils:Cu} = Components;

/* set new tab page */
try {
ChromeUtils.defineESModuleGetters(this, {
  AboutNewTab: "resource:///modules/AboutNewTab.sys.mjs",
});
var newTabURL = "file:////home/path/to/index.html";
AboutNewTab.newTabURL = newTabURL;
} catch(e){Cu.reportError(e);} // report errors in the Browser Console
```

3. Now navigate to the `defaults/pref` folder and create file called `autoconfig.js`. Within it, place:
```
//
pref("general.config.filename", "autoconfig.cfg");
pref("general.config.obscure_value", 0);
pref("general.config.sandbox_enabled", false);
```
The comment at the top is required, and Unix line endings must also be used.

4. Now we must allow